Subject: Re: linux-next: build failure after merge of the hyperv-fixes tree

From: Wei Liu <[email-masked]>
Date: Thu, 27 Oct 2022 11:00:44 +0000

On Thu, Oct 27, 2022 at 08:53:32AM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the hyperv-fixes tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> arch/x86/hyperv/hv_init.c: In function 'hyperv_init':
> arch/x86/hyperv/hv_init.c:447:29: error: unused variable 'dst' [-Werror=unused-variable]
>   447 |                 void *src, *dst;
>       |                             ^~~
> cc1: all warnings being treated as errors
> 
> Caused by commit
> 
>   f8162cff19f1 ("x86/hyperv: Remove BUG_ON() for kmap_local_page()")
> 
> I have used the hyperv-fixes tree from next-20221026 for today.

Thanks. I've fixed that.

I will also turn on CONFIG_WERROR in my build test.

> -- 
> Cheers,
> Stephen Rothwell